### Enumeration

# Camel StoreGetFolderInfoFlags

#### Declaration

    flags Camel.StoreGetFolderInfoFlags

#### Description

No description available.

#### Members

`CAMEL_STORE_FOLDER_INFO_FAST`

  No description available.

  - Value: `1`
  - Available since: 1.2
`CAMEL_STORE_FOLDER_INFO_RECURSIVE`

  No description available.

  - Value: `2`
  - Available since: 1.2
`CAMEL_STORE_FOLDER_INFO_SUBSCRIBED`

  No description available.

  - Value: `4`
  - Available since: 1.2
`CAMEL_STORE_FOLDER_INFO_NO_VIRTUAL`

  Do not include virtual trash or junk folders.

  - Value: `8`
  - Available since: 1.2
`CAMEL_STORE_FOLDER_INFO_SUBSCRIPTION_LIST`

  Fetch only the subscription list. Clients should use this flag for requesting the list of folders available for subscription. Used in Exchange / IMAP connectors for public folder fetching.

  - Value: `16`
  - Available since: 1.2
`CAMEL_STORE_FOLDER_INFO_REFRESH`

  Treat this call as a request to refresh the folder summary; for remote accounts it can be to re-fetch fresh folder content from the server and update the local cache.

  - Value: `32`
  - Available since: 1.2